Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcHostResolver Class Reference

Host resolver is base class for device name resolution. More...

Inheritance diagram for XFcHostResolver:

[legend]
List of all members.

## Public Member Functions
virtual XFCIMPORT | ~XFcHostResolver ()
| Virtual destructor.
XFCIMPORT INT | getType () const
| Gets resolver type.
virtual XFCIMPORT INT | localAddress (XFcAddress &aAddress)
| Gets local address.
virtual XFCIMPORT INT | localName (XFcName &aName)
| Gets local name.
virtual XFCIMPORT INT | remoteName (const XFcAddress &aAddress, XFcHostEntry &aHostEntry)
| Gets remote name.
virtual XFCIMPORT INT | remoteAddress (const XFcName &aName, XFcHostEntry &aHostEntry)
| Gets remote address.
## Protected Member Functions
| XFcHostResolver ()
| Constructor.
## Protected Attributes
INT | mType
| Holds resolver type (rtti).
void * | mResolver
| Holds pointer to platform independent code.

## Detailed Description

Host resolver is base class for device name resolution.

## Constructor & Destructor Documentation

XFcHostResolver::XFcHostResolver | ( |  | ) | `[protected]`

| Constructor.

virtual XFCIMPORT XFcHostResolver::~XFcHostResolver | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFCIMPORT INT XFcHostResolver::getType | ( |  | ) | const

| Gets resolver type. Returns: resolver type.

virtual XFCIMPORT INT XFcHostResolver::localAddress | ( | XFcAddress & | aAddress | ) | `[virtual]`

  | Gets local address. Parameters:
  aAddress | address where local address is stored.
Returns: 1 if query was succesful, or 0 otherwise.

virtual XFCIMPORT INT XFcHostResolver::localName | ( | XFcName & | aName | ) | `[virtual]`

  | Gets local name. Parameters:
  aName | buffer where name is stored.
Returns: 1 if query was succesful, or 0 otherwise.

virtual XFCIMPORT INT XFcHostResolver::remoteAddress | ( | const XFcName & | aName,
|  | XFcHostEntry & | aHostEntry
| ) | `[virtual]`

  | Gets remote address. Parameters:
  aName | remote name, required.
  aHostEntry | entry where host address and host name is stored.
Returns: 1 if query was succesful, or 0 otherwise.

virtual XFCIMPORT INT XFcHostResolver::remoteName | ( | const XFcAddress & | aAddress,
|  | XFcHostEntry & | aHostEntry
| ) | `[virtual]`

  | Gets remote name. Parameters:
  aAddress | remote address, required.
  aHostEntry | entry where host address and host name is stored.
Returns: 1 if query was succesful, or 0 otherwise.

## Member Data Documentation

void* XFcHostResolver::mResolver`[protected]`

| Holds pointer to platform independent code.

INT XFcHostResolver::mType`[protected]`

| Holds resolver type (rtti).

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch